<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

if ( ! defined('modMainMenuXMLCallbackDefined') )
{
function modMainMenuXMLCallback(&$node, $args)
{
	$user	= &JFactory::getUser();
	$menu	= &JSite::getMenu();
	$active	= $menu->getActive();
	$path	= isset($active) ? array_reverse($active->tree) : null;

	if (($args['end']) && ($node->attributes('level') >= $args['end']))
	{
		$children = $node->children();
		foreach ($node->children() as $child)
		{
			if ($child->name() == 'ul') {
				$node->removeChild($child);
			}
		}
	}

	if ($node->name() == 'ul') {
		foreach ($node->children() as $child)
		{
			if ($child->attributes('access') > $user->get('aid', 0)) {
				$node->removeChild($child);
			}
		}
	}

	if (($node->name() == 'li') && isset($node->ul)) {
		$node->addAttribute('class', 'parent');
	}

	if (isset($path) && in_array($node->attributes('id'), $path))
	{
		if ($node->attributes('class')) {
			$node->addAttribute('class', $node->attributes('class').' active');
		} else {
			$node->addAttribute('class', 'active');
		}
	}
	else
	{
		if (isset($args['children']) && !$args['children'])
		{
			$children = $node->children();
			foreach ($node->children() as $child)
			{
				if ($child->name() == 'ul') {
					$node->removeChild($child);
				}
			}
		}
	}

	if (($node->name() == 'li') && ($id = $node->attributes('id'))) {
		if ($node->attributes('class')) {
			$node->addAttribute('class', $node->attributes('class').' item'.$id);
		} else {
			$node->addAttribute('class', 'item'.$id);
		}
	}

	if (isset($path) && $node->attributes('id') == $path[0]) {
		$node->addAttribute('id', 'current');
	} else {
		$node->removeAttribute('id');
	}
	$node->removeAttribute('level');
	$node->removeAttribute('access');
}
	define('modMainMenuXMLCallbackDefined', true);
}

if ($params->get('class_sfx') == 'toolbar') {
	echo '<div class="menutoolbar"><table cellspacing="0" cellpadding="0"><tr>' . "\n";

	$first = true;
	$xml = modMainMenuHelper::getXML($params->get('menutype'), $params, 'modMainMenuXMLCallback');

	foreach ($xml->_children as $node) {
		if ($first)
			$first = false;
		else
			echo '	<td> &nbsp; </td>' . "\n";

		$class = (string) @$node->_attributes['class'];
		if ($class != '')
			$class = ' class="' . $class . '"';

		$href = htmlspecialchars($node->_children[0]->_attributes['href']);
		$caption = $node->_children[0]->_children[0]->_data;

		echo '	<td' . $class . '><div class="menutoolbar_l1"><div class="menutoolbar_l2"><div class="menutoolbar_l3"><div class="menutoolbar_l4"><a class="menutoolbar" href="' . $href . '">' . $caption . '</a></div></div></div></div></td>' . "\n";
	}

	echo '</tr></table></div>' . "\n";
}
else {
	modMainMenuHelper::render($params, 'modMainMenuXMLCallback');
}

?>